Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.plugins.tyrex
Class TyrexTransactionPropagationContextManager

    java.lang.Object
      org.jboss.tm.plugins.tyrex.TyrexTransactionPropagationContextManager

All Implemented Interfaces:
  org.jboss.tm.TransactionPropagationContextFactory, org.jboss.tm.TransactionPropagationContextImporter

public class TyrexTransactionPropagationContextManager
extends Object
implements org.jboss.tm.TransactionPropagationContextFactory, org.jboss.tm.TransactionPropagationContextImporter

This object implements the TransactionPropagationContext importer and exporter for JBoss.

Version:
  $Revision: 1.5 $
Author:
  Anatoly Akkerman
See Also:
  `TransactionManagerService`

Constructor Summary
`protected` | `TyrexTransactionPropagationContextManager()`

Method Summary
`Object` | `getTransactionPropagationContext()` Return a transaction propagation context associated with transaction that the calling thread came in with
`Object` | `getTransactionPropagationContext(Transaction tx)` Return a transaction propagation context for the transaction given as an argument, or `null` if the argument is `null` or of a type unknown to this factory.
`Transaction` | `importTransactionPropagationContext(Object tpc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TyrexTransactionPropagationContextManager

    protected TyrexTransactionPropagationContextManager()

Method Detail

### getTransactionPropagationContext

    public Object getTransactionPropagationContext()

  Return a transaction propagation context associated with transaction that the calling thread came in with

  Specified by:
    `getTransactionPropagationContext` in interface `org.jboss.tm.TransactionPropagationContextFactory`

### getTransactionPropagationContext

    public Object getTransactionPropagationContext(Transaction tx)

  Return a transaction propagation context for the transaction given as an argument, or `null` if the argument is `null` or of a type unknown to this factory.

  Specified by:
    `getTransactionPropagationContext` in interface `org.jboss.tm.TransactionPropagationContextFactory`

### importTransactionPropagationContext

    public Transaction importTransactionPropagationContext(Object tpc)

  Specified by:
    `importTransactionPropagationContext` in interface `org.jboss.tm.TransactionPropagationContextImporter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.